package com.sf.web.dms.common.ws.handler;

package ..deTemp.1734799522494;

import java.util.Map;
import org.apache.log4j.Logger;
import org.springframework.web.socket.WebSocketSession;

public abstract class MessageConsumer implements Runnable {
  public static Logger logger = Logger.getLogger(com.sf.web.dms.common.ws.handler.MessageConsumer.class);
  
  private String topic;
  
  private Map<String, Object> data;
  
  private WebSocketSession websocketSession;
  
  public String getTopic() {
    return this.topic;
  }
  
  public Map<String, Object> getData() {
    return this.data;
  }
  
  public WebSocketSession getWebsocketSession() {
    return this.websocketSession;
  }
  
  public void setWebsocketSession(WebSocketSession websocketSession) {
    this.websocketSession = websocketSession;
  }
  
  public void accept(String topic, Map<String, Object> msgData) {
    this.topic = topic;
    this.data = msgData;
    logger.debug(String.format("开始处理:%s,内容:%s 消息", new Object[] { topic, msgData }));
  }
  
  public void run() {
    logger.debug("开始执行消息数据处理逻辑");
    try {
      handleMsg();
      logger.debug("消息数据处理逻辑完成");
    } catch (Exception e) {
      logger.error("处理过程异常", e);
    } 
  }
  
  public abstract void handleMsg() throws Exception;
}
